package eu.univento.lobby.utils;

import eu.univento.core.api.player.CustomPlayer;
import org.bukkit.entity.Player;
import org.bukkit.map.MapCanvas;
import org.bukkit.map.MapRenderer;
import org.bukkit.map.MapView;
import org.bukkit.map.MinecraftFont;

/**
 * @author joethei
 * @version 0.1
 * created on 05.07.2016
 */
public class CustomMapRenderer extends MapRenderer{

    @Override
    public void render(MapView mapView, MapCanvas mapCanvas, Player player) {
        CustomPlayer p = CustomPlayer.getPlayer(player);
        mapCanvas.drawText(1, 10, MinecraftFont.Font, "Hallo " +  p.getName());
        mapCanvas.drawText(1, 20, MinecraftFont.Font, "Du bist ein " + p.getDatabasePlayer().getRank().name());
        mapCanvas.drawText(1, 30, MinecraftFont.Font, p.getDatabasePlayer().getFirstLogin().toString());
        mapCanvas.drawText(1, 40, MinecraftFont.Font, "Sprache " + p.getDatabasePlayer().getLanguage());
    }
}